org.apache.ignite.internal.cluster

## Class NodeOrderComparator

- java.lang.Object
- - org.apache.ignite.internal.cluster.NodeOrderComparator

All Implemented Interfaces:
  Serializable, Comparator<ClusterNode>

    public class NodeOrderComparator
    extends Object
    implements Comparator<ClusterNode>, Serializable

Node order comparator.

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `compare(ClusterNode n1, ClusterNode n2)`
`static Comparator<ClusterNode>` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Method Detail

#### getInstance

    public static Comparator<ClusterNode> getInstance()

Returns:
  Node comparator.

#### compare

    public int compare(ClusterNode n1,
                       ClusterNode n2)

Specified by:
  `compare` in interface `Comparator<ClusterNode>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020